<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompanyDomainsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_domains', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('company_id')->comment('企业ID');
            $table->string('site_domain',255)->nullable()->comment('域名');
            $table->string('site_home',255)->nullable()->comment('网址');
            $table->string('site_name',255)->nullable()->comment('名称');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_domains');
    }
}
