<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompanySemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_sems', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('company_id')->comment('企业ID');
            $table->string('sem_date',255)->comment('推广时间');
            $table->string('sem_title',255)->comment('推广标题');
            $table->text('sem_url')->nullable()->comment('推广网站');
            $table->string('keywords',255)->nullable()->comment('关键字');
            $table->string('source_name',255)->nullable()->comment('推广平台');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_sems');
    }
}
