<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompanyJobsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_jobs', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('company_id')->comment('企业ID');
            $table->string('job_name',255)->comment('职位');
            $table->string('location',255)->nullable()->comment('工作地点');
            $table->string('salary',255)->comment('工资');
            $table->text('job_url')->nullable()->comment('招聘链接');
            $table->string('release_date',255)->nullable()->comment('发布日期');
            $table->string('source_name',255)->nullable()->comment('发布平台');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_jobs');
    }
}
