<table class="table table-striped table-bordered table-hover dataTables-example dataTable">
    <thead>
    <tr>

        <th class="sorting" data-sort="id"> ID</th>
        <th class="sorting" data-sort="company_name"> 企业名称</th>
        <th class="sorting" data-sort="reg_no"> 注册号</th>
        <th class="sorting" data-sort="legal_person"> 法人</th>
        <th class="sorting" data-sort="open_status"> 经营状态</th>
        <th class="sorting" data-sort="start_date"> 成立日期</th>
        <th class="sorting" data-sort="reg_capital"> 注册资本（万元）</th>
        {{--<th width="22%">相关操作</th>--}}
    </tr>
    </thead>
    <tbody>


    @if(isset($list))
        @foreach($list as $key => $item)
            <tr>

                <td>{{ $item->id }}</td>
                <td>
                    <a href="{{ U('Company/Info/view',['id'=>$item->id])}}">{{ $item->company_name }}</a>
                    <span onclick="showContacts(this,{{$item->id}})" class="pull-right text-info" style="cursor: pointer">展开</span>
                </td>
                <td>{{ $item->reg_no }}</td>
                <td>{{ $item->legal_person }}</td>
                <td>{{ $item->open_status }}</td>
                <td>{{ $item->start_date }}</td>
                <td>{{ $item->reg_capital }}</td>
            </tr>
            @if($item->contacts()->count())
                @foreach($item->contacts()->get() as $contact)
                    <tr style="display: none" class="contact_{{$item->id}}">
                        <td><input class="contactlist" name='contact_id[]' type="checkbox"
                                   value="{{ $contact->id }}" data-id="{{ $contact->id }}"></td>
                        <td>联系人：{{ $contact->linkman }}</td>
                        <td>电话： {{ $contact->phone }}</td>
                    </tr>
                @endforeach
            @endif
        @endforeach
    @endif

    </tbody>
</table>


<div class="row">
    <div class="col-sm-6">
        <div class="dataTables_info" id="DataTables_Table_0_info"
             role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}
            条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。
        </div>
    </div>
    <div class="col-sm-6">
        <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
            {!! $list->setPath('')->appends(Request::all())->render() !!}
        </div>
    </div>
</div>

    <script type="text/javascript">
        /*显示联系人*/
        function showContacts(data,id) {
            if($('.contact_'+id).is(':hidden')){
                $('.contact_'+id).show()
                $(data).text('隐藏')
                $(data).removeClass('text-info')
                $(data).addClass('text-warning')


            }else {
                $('.contact_'+id).hide()
                $(data).text('显示')
                $(data).removeClass('text-warning')
                $(data).addClass('text-info')

            }

        }

</script>